(****************************************)
(* ITA Office97 Style Components        *)
(* Version 2.0                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 ITA Software Labs        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://windoms.sitek.net/~ita      *)
(*   http://i-connect.ru/~ita           *)                  
(****************************************)
unit aboutfrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ExtCtrls, ita_common;

type
  TAbout = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    BitBtn1: TBitBtn;
    Bevel1: TBevel;
    itaLabel1: TitaLabel;
    lMail: TitaLabel;
    lHome: TitaLabel;
    procedure lMailMouseEnter(Sender: TObject);
    procedure lMailMouseLeave(Sender: TObject);
    procedure lHomeMouseEnter(Sender: TObject);
    procedure lHomeMouseLeave(Sender: TObject);
    procedure lMailClick(Sender: TObject);
    procedure lHomeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  About: TAbout;

implementation

{$R *.DFM}

uses ShellAPI;

procedure TAbout.lMailMouseEnter(Sender: TObject);
begin
  lMail.Font.Color := clYellow;
end;

procedure TAbout.lMailMouseLeave(Sender: TObject);
begin
  lMail.Font.Color := clWhite;
end;

procedure TAbout.lHomeMouseEnter(Sender: TObject);
begin
  lHome.Font.Color := clYellow;
end;

procedure TAbout.lHomeMouseLeave(Sender: TObject);
begin
  lHome.Font.Color := clWhite;
end;

procedure TAbout.lMailClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'mailto:aepp@vsgtu.eastsib.ru', nil, nil, SW_SHOWNORMAL);
end;

procedure TAbout.lHomeClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru', nil, nil, SW_SHOWNORMAL);
end;

end.
